  import {Object3D} from './Object3D.js';
import * as THREE from '/seed-env/__static/threejs/three.module.js';

//======================================================
export class Grid extends Object3D {
//======================================================


    //---------------------------------------------------
    onBuild3d() {
    //---------------------------------------------------

        return new THREE.GridHelper( this.data.r, 20 ,"red","blue");

    }
    //---------------------------------------------------
    onRun(time) {
    //---------------------------------------------------



    }
    //---------------------------------------------------
}
//======================================================
export class Polar extends Object3D {
//======================================================


    //---------------------------------------------------
    onBuild3d() {
    //---------------------------------------------------

        return new THREE.PolarGridHelper( this.data.r, 20 ,20,64,"blue","blue");

    }
    //---------------------------------------------------
    onRun(time) {
    //---------------------------------------------------



    }
    //---------------------------------------------------
}
//======================================================
export class Sphere extends Object3D {
//======================================================


    //---------------------------------------------------
    onBuild3d() {
    //---------------------------------------------------

        this.geometry = new THREE.SphereGeometry( this.data.r, 20, 20 );
        this.wireframe = new THREE.WireframeGeometry( this.geometry );
        return new THREE.LineSegments( this.wireframe );


  }
    //---------------------------------------------------
    onRun(time) {
    //---------------------------------------------------



    }
    //---------------------------------------------------
}
//======================================================
